How To Use Africa's Talking PHP Package V2

25th Apr 2020

Africa’s talking released their own SDK, removing the need of manually generating the calls. This has now become a wrapper that offers efficiency and helper functions.

Installation

Pull in the package using composer:

composer require smodav/africastalking

How To Use Africa's Talking PHP Package

19th Oct 2017

Hey, I finally got tired of using Africa's talking "PHP file" and finally decided to make a clean fluent package to make life easier. The package is fully compatible with Laravel and Vanilla PHP. If using another framework, you just need to import it and use the native implementation. So let's get started. If using vanilla PHP, add the following installer script so that the package can copy for you the config file once installation is complete. Laravel users don't need to add the post-update script as Laravel handles the configs pretty well.

"scripts": {
    "post-update-cmd": [
        "SmoDav\\Mpesa\\Support\\Installer::install"
    ]
},

Pull in the package using composer:

composer require smodav/africastalking
© 2020 SmoDav Productions